aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrederic Crozat <fcrozat@mandriva.com>2009-03-25 10:57:29 +0000
committerFrederic Crozat <fcrozat@mandriva.com>2009-03-25 10:57:29 +0000
commitfac41326221ea4d00c50d07e1af62c29bd3463cb (patch)
treeb6a32a8be50df3057976256216dfe899a2834864
parentaca39122b81b792bdf9d062be1ef40753e6fb379 (diff)
downloadbootsplash-fac41326221ea4d00c50d07e1af62c29bd3463cb.tar
bootsplash-fac41326221ea4d00c50d07e1af62c29bd3463cb.tar.gz
bootsplash-fac41326221ea4d00c50d07e1af62c29bd3463cb.tar.bz2
bootsplash-fac41326221ea4d00c50d07e1af62c29bd3463cb.tar.xz
bootsplash-fac41326221ea4d00c50d07e1af62c29bd3463cb.zip
- Release 3.2.21 :
- ensure shutdown text is visible when using splashy
-rw-r--r--Makefile2
-rw-r--r--scripts/splash.sh13
2 files changed, 10 insertions, 5 deletions
diff --git a/Makefile b/Makefile
index e0954cc..c76b036 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
NAME=bootsplash
-VERSION := 3.2.20
+VERSION := 3.2.21
SUBDIRS=scripts fb fbmngplay fbtruetype splash po
FILES=$(SUBDIRS) Makefile ChangeLog README
diff --git a/scripts/splash.sh b/scripts/splash.sh
index 152fb1e..5ac549d 100644
--- a/scripts/splash.sh
+++ b/scripts/splash.sh
@@ -145,7 +145,9 @@ fi
num=$(( $nbservices + 2 ))
# Initialize and print text string..
-if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" ]; then
+if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" -o -f /dev/.splashy_shutdown ]; then
+
+ [ ! -f /dev/.splashy_shutdown ] || /sbin/splashy_update repaint || exit 0
# depending on the languages, we need to use a font different of
# the default one; in such case the font must be accessible, or
# the translation is disabled.
@@ -243,17 +245,18 @@ if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" ]; then
esac
fi
- if test "$_shutdown" == "yes"; then
+ if test "$_shutdown" == "yes" -o -f /dev/.splashy_shutdown ; then
gprintf "Shutting down the system..."
if [ "$splash_mode" = "bootsplash" ]; then
[[ -f /etc/bootsplash/themes/$theme/config/bootsplash-$res.cfg ]] && bootsplash_run -s -u 0 /etc/bootsplash/themes/$theme/config/bootsplash-$res.cfg
bootsplash_write "silent"
chvt 1
- elif [ "$splash_mode" = "splashy" ]; then
+ elif [ "$splash_mode" = "splashy" -a ! -f /dev/.splashy_shutdown ]; then
/sbin/splashy_chvt 8
/sbin/splashy shutdown
pidof splashy > /dev/.splashy.pid
cat /dev/.splashy.pid >> /var/run/sendsigs.omit
+ touch /dev/.splashy_shutdown
fi
elif [ "$1" == "suspend" ]; then
gprintf "Suspending the system..."
@@ -261,7 +264,7 @@ if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" ]; then
[[ -f /etc/bootsplash/themes/$theme/config/hibernate-$res.cfg ]] && bootsplash_run -s -u 0 /etc/bootsplash/themes/$theme/config/hibernate-$res.cfg
bootsplash_write "silent"
chvt 1
- elif [ "$splash_mode" = "splashy" ]; then
+ elif [ "$splash_mode" = "splashy" -a ! -f /dev/.splashy_shutdown ]; then
/sbin/splashy_chvt 8
/sbin/splashy shutdown
pidof splashy > /dev/.splashy.pid
@@ -280,8 +283,10 @@ if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" ]; then
if [ "$text_x" != "" -a "$text_y" != "" \
-a "$text_color" != "" -a "$text_size" != "" -a "$_silent" == "yes" -o "$_shutdown" == "yes" -o "$1" == "suspend" ]; then
gprintf "Press Esc for verbose mode."
+ splashy_is_running && /sbin/splashy_update repaint || exit 0
fbtruetype.static -x $text_x -y $text_y -t $text_color -s $text_size \
$custom_font "$_boot $TEXT"
+ rm -f /dev/.splashy_shutdown
fi
fi